PHTTPConnectionInfo Class Reference

This object describes the connectiono associated with a HyperText Transport Protocol request. More...

`#include <http.h>`

Inheritance diagram for PHTTPConnectionInfo:

## Public Member Functions

| PHTTPConnectionInfo ()
PHTTP::Commands | GetCommandCode () const
const PString & | GetCommandName () const
const PURL & | GetURL () const
const PMIMEInfo & | GetMIME () const
void | SetMIME (const PString &tag, const PString &value)
PBoolean | IsCompatible (int major, int minor) const
bool | IsPersistent () const
bool | WasPersistent () const
bool | IsProxyConnection () const
int | GetMajorVersion () const
int | GetMinorVersion () const
long | GetEntityBodyLength () const
PTimeInterval | GetPersistenceTimeout () const
| Get the maximum time a persistent connection may persist. More...
void | SetPersistenceTimeout (const PTimeInterval &t)
| Set the maximum time a persistent connection may persist. More...
unsigned | GetPersistenceMaximumTransations () const
| Get the maximum number of transations (GET/POST etc) for persistent connection. More...
void | SetPersistenceMaximumTransations (unsigned m)
| Set the maximum number of transations (GET/POST etc) for persistent connection. More...
const PMultiPartList & | GetMultipartFormInfo () const
void | ResetMultipartFormInfo ()
PString | GetEntityBody () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

PBoolean | Initialise (PHTTPServer &server, PString &args)
bool | DecodeMultipartFormInfo ()
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PHTTP::Commands | commandCode
PString | commandName
PURL | url
PMIMEInfo | mimeInfo
bool | isPersistent
bool | wasPersistent
bool | isProxyConnection
int | majorVersion
int | minorVersion
PString | entityBody
long | entityBodyLength
PTimeInterval | persistenceTimeout
unsigned | persistenceMaximum
PMultiPartList | m_multipartFormInfo

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...

## Detailed Description

This object describes the connectiono associated with a HyperText Transport Protocol request.

This information is required by handler functions on `PHTTPResource` descendant classes to manage the connection correctly.

## Constructor & Destructor Documentation

## PHTTPConnectionInfo()

PHTTPConnectionInfo::PHTTPConnectionInfo | ( |  | ) |

## Member Function Documentation

## DecodeMultipartFormInfo()

bool PHTTPConnectionInfo::DecodeMultipartFormInfo | ( |  | ) |

inline protected

## GetCommandCode()

PHTTP::Commands PHTTPConnectionInfo::GetCommandCode | ( |  | ) | const

inline

## GetCommandName()

const PString& PHTTPConnectionInfo::GetCommandName | ( |  | ) | const

inline

## GetEntityBody()

PString PHTTPConnectionInfo::GetEntityBody | ( |  | ) | const

inline

## GetEntityBodyLength()

long PHTTPConnectionInfo::GetEntityBodyLength | ( |  | ) | const

inline

## GetMajorVersion()

int PHTTPConnectionInfo::GetMajorVersion | ( |  | ) | const

inline

## GetMIME()

const PMIMEInfo& PHTTPConnectionInfo::GetMIME | ( |  | ) | const

inline

## GetMinorVersion()

int PHTTPConnectionInfo::GetMinorVersion | ( |  | ) | const

inline

## GetMultipartFormInfo()

const PMultiPartList& PHTTPConnectionInfo::GetMultipartFormInfo | ( |  | ) | const

inline

## GetPersistenceMaximumTransations()

unsigned PHTTPConnectionInfo::GetPersistenceMaximumTransations | ( |  | ) | const

inline

Get the maximum number of transations (GET/POST etc) for persistent connection.

If this is zero then there is no maximum.

## GetPersistenceTimeout()

PTimeInterval PHTTPConnectionInfo::GetPersistenceTimeout | ( |  | ) | const

inline

Get the maximum time a persistent connection may persist.

## GetURL()

const PURL& PHTTPConnectionInfo::GetURL | ( |  | ) | const

inline

## Initialise()

PBoolean PHTTPConnectionInfo::Initialise | ( | PHTTPServer & | server,
|  | PString & | args
| ) |  |

protected

## IsCompatible()

PBoolean PHTTPConnectionInfo::IsCompatible | ( | int | major,
|  | int | minor
| ) |  | const

## IsPersistent()

bool PHTTPConnectionInfo::IsPersistent | ( |  | ) | const

inline

## IsProxyConnection()

bool PHTTPConnectionInfo::IsProxyConnection | ( |  | ) | const

inline

## ResetMultipartFormInfo()

void PHTTPConnectionInfo::ResetMultipartFormInfo | ( |  | ) |

inline

## SetMIME()

void PHTTPConnectionInfo::SetMIME | ( | const PString & | tag,
|  | const PString & | value
| ) |  |

## SetPersistenceMaximumTransations()

void PHTTPConnectionInfo::SetPersistenceMaximumTransations | ( | unsigned | m | ) |

inline

Set the maximum number of transations (GET/POST etc) for persistent connection.

If this is zero then there is no maximum.

## SetPersistenceTimeout()

void PHTTPConnectionInfo::SetPersistenceTimeout | ( | const PTimeInterval & | t | ) |

inline

Set the maximum time a persistent connection may persist.

## WasPersistent()

bool PHTTPConnectionInfo::WasPersistent | ( |  | ) | const

inline

## Member Data Documentation

## commandCode

PHTTP::Commands PHTTPConnectionInfo::commandCode

protected

## commandName

PString PHTTPConnectionInfo::commandName

protected

## entityBody

PString PHTTPConnectionInfo::entityBody

protected

## entityBodyLength

long PHTTPConnectionInfo::entityBodyLength

protected

## isPersistent

bool PHTTPConnectionInfo::isPersistent

protected

## isProxyConnection

bool PHTTPConnectionInfo::isProxyConnection

protected

## m_multipartFormInfo

PMultiPartList PHTTPConnectionInfo::m_multipartFormInfo

protected

## majorVersion

int PHTTPConnectionInfo::majorVersion

protected

## mimeInfo

PMIMEInfo PHTTPConnectionInfo::mimeInfo

protected

## minorVersion

int PHTTPConnectionInfo::minorVersion

protected

## persistenceMaximum

unsigned PHTTPConnectionInfo::persistenceMaximum

protected

## persistenceTimeout

PTimeInterval PHTTPConnectionInfo::persistenceTimeout

protected

## url

PURL PHTTPConnectionInfo::url

protected

## wasPersistent

bool PHTTPConnectionInfo::wasPersistent

protected

The documentation for this class was generated from the following file:

- http.h